Name:               meta-installer
Version:            0.5
Release:            1%{?dist}
Summary:            META Package Installer Infrastructure
Group:              System Environment/Base
License:            GPL
Source0:            %{name}-%{version}.tar.xz
BuildArchitectures: noarch

Requires:           meta-installer-config
Requires:           bash-base
Requires:           bash-ini
Requires:           gxmessage

%description
The zkk-meta-installer is a hack used inside the TU Wien only.

It provides infrastructure to create packages with no contents, that
use external source (e.g. NFS) as install source. The benefit is to
install packages via yum and to be able to remove the installation by
removing the rpm from the system.

%prep
%setup -q

%install
mkdir -p %{buildroot}{%{_sysconfdir}/{meta-install-,}profile.d,%{_bindir}} \
    %{buildroot}%{_datarootdir}/meta-installer/state
cp -a bin/* %{buildroot}%{_bindir}/.
cp meta-installer.profile.sh %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
cat > %{buildroot}%{_sysconfdir}/meta-installer.conf <<EOF
# these are defaults used in ECS, ECSLAB and TILAB
MI_SW_MODE=nfs
MI_SW_LOCATION=files:/home/sw/vlsi.sw
EOF

%files
%attr(0755,-,-) %{_bindir}/*
%{_sysconfdir}/profile.d/%{name}.sh
%dir %{_sysconfdir}/meta-install-profile.d
%config %{_sysconfdir}/meta-installer.conf
%{_datarootdir}/meta-installer
